abstract class OtpStatus {}

class OtpInitial extends OtpStatus {}

class OtpLoading extends OtpStatus {}

class OtpSuccess extends OtpStatus {
  final bool hasName; // اگر نام نداشته باشد، باید به صفحه‌ی انتخاب نام برود
  OtpSuccess(this.hasName);
}

class OtpError extends OtpStatus {
  final String message;
  OtpError(this.message);
}
